# MD5 (sshj 0.4.1 API)
Date: 2011-06-19

## net.schmizz.sshj.transport.digest
Class MD5

    java.lang.Object
      net.schmizz.sshj.transport.digest.BaseDigest
          net.schmizz.sshj.transport.digest.MD5

All Implemented Interfaces:
  Digest

    public class MD5

extends BaseDigest

MD5 Digest.

Nested Class Summary
`static class` `MD5.Factory` Named factory for MD5 digest

Constructor Summary
`MD5()` Create a new instance of a MD5 digest

Method Summary

Methods inherited from class net.schmizz.sshj.transport.digest.BaseDigest
`digest, getBlockSize, init, update, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MD5

    public MD5()

  Create a new instance of a MD5 digest

Copyright © 2009-2011. All Rights Reserved.